<?php
// +----------------------------------------------------------------------
// | SentCMS [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2024 http://www.tensent.cn All rights reserved.
// +----------------------------------------------------------------------
// | Author: molong <molong@tensent.cn> <http://www.tensent.cn>
// +----------------------------------------------------------------------
use Illuminate\Support\Facades\Route;
use Modules\Wechat\Controllers\Api\Index;

Route::post('/wechat/login', [Index::class, 'login']);
Route::post('/wechat/oauth', [Index::class, 'oauth']);
Route::get('serve', [Index::class, 'serve']);

Route::name('wechat.')->prefix('wechat')->middleware(['auth.check:api'])->group(function () {
	Route::get('jssdk', [Index::class, 'jssdk']);

	Route::get('phone', [Index::class, 'phone']);
	Route::get('invitecode', [Index::class, 'invitecode']);

	Route::controller(Modules\Wechat\Controllers\Api\Pay::class)->prefix('pay')->name('pay.')->group(function () {
		Route::post('miniapp', 'miniapp')->name('miniapp');
	});
});

Route::name('wechat.')->prefix('wechat')->middleware(['auth.check:doctor'])->group(function () {
	Route::controller(Modules\Wechat\Controllers\Api\Index::class)->prefix('index')->name('index.')->group(function () {
		Route::get('qrcode', 'qrcode')->name('qrcode');
	});
});
